package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 * @author zhangkaikai
 * @create 2023-06-06 5:02 PM
 **/

@JSONType(deserializer = EnumValueDeserializer.class)
public enum ChannelGoodsSettleStatusTypeEnum implements IEnum<Integer> {


    NO(1, "未结算"),
    FINISHED(2, "已结算"),
    DOING(3, "结算中"),
    Verify(4, "核销完成"),
    ;

    private final Integer value;
    private final String desc;

    ChannelGoodsSettleStatusTypeEnum(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("value",value);
        object.put("desc", desc);
        return object.toString();
    }
}
